Package org.apache.wiki.htmltowiki.syntax

# Class PlainTextCssDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.PlainTextCssDecorator

public abstract class PlainTextCssDecorator extends Object
Translates to wiki syntax from a plain text handling css classes.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XHtmlElementToWikiTranslator`
`chain`
`protected final PrintWriter`
`out`
`protected final PlainTextBoldDecorator`
`ptbd`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PlainTextCssDecorator(PlainTextBoldDecorator ptbd, PrintWriter out, XHtmlElementToWikiTranslator chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(XHtmlElementToWikiTranslator.ElementDecoratorData dto)`
Translates the given XHTML element into wiki markup.
`protected abstract String`
`markupCssDivClose(String cssClass)`
Closing wiki markup for a css element.
`protected abstract String`
`markupCssDivOpen(String cssClass)`
Opening wiki markup for a css element.
`protected abstract String`
`markupCssSpanClose(String cssClass)`
Closing wiki markup for a css element.
`protected abstract String`
`markupCssSpanOpen(String cssClass)`
Opening wiki markup for a css element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### chain

protected final XHtmlElementToWikiTranslator chain

### ptbd

protected final PlainTextBoldDecorator ptbd

## Constructor Details

### PlainTextCssDecorator

protected PlainTextCssDecorator(PlainTextBoldDecorator ptbd, PrintWriter out, XHtmlElementToWikiTranslator chain)

## Method Details

### decorate

public void decorate(XHtmlElementToWikiTranslator.ElementDecoratorData dto) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `dto` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

### markupCssDivOpen

protected abstract String markupCssDivOpen(String cssClass)
Opening wiki markup for a css element.

Returns:
  Opening wiki markup for a css element.

### markupCssDivClose

protected abstract String markupCssDivClose(String cssClass)
Closing wiki markup for a css element.

Returns:
  Closing wiki markup for a css element.

### markupCssSpanOpen

protected abstract String markupCssSpanOpen(String cssClass)
Opening wiki markup for a css element.

Returns:
  Opening wiki markup for a css element.

### markupCssSpanClose

protected abstract String markupCssSpanClose(String cssClass)
Closing wiki markup for a css element.

Returns:
  Closing wiki markup for a css element.